import { defineStore } from "pinia";

export const useCStore = defineStore("Control Store", {
  state: () => {
    return {
      mode: "manually",
      user_modes: ["manually", "BO", "active BO"],
      acq_fun: "Expected Improvement",
      acq_funs: [
        "Expected Improvement",
        "Probability of Improvement",
        "Upper Confidence Bound",
      ],
      nr_episodes: 50,
      nr_runs: 10,
      epsilon: 0,
      sendWeights: false,
      runner: false,
    };
  },
  getters: {
    getUserMode: (state) => state.mode,
    getNrEpisodes: (state) => state.nr_episodes,
    getNrRuns: (state) => state.nr_runs,
    getEpsilon: (state) => state.epsilon,
    getSendWeights: (state) => state.sendWeights,
    getRunner: (state) => state.runner,
    getAcq: (state) => state.acq_fun,
  },
  actions: {
    setUserMode(value) {
      this.mode = value;
    },
    setNrEpisodes(value) {
      this.nr_episodes = value;
    },
    setNrRuns(value) {
      this.nr_runs = value;
    },
    setEpsilon(value) {
      this.epsilon = value;
    },
    setSendWeights() {
      this.sendWeights = !this.sendWeights;
    },
    setRunner() {
      this.runner = !this.runner;
    },
    setAcq(value) {
      this.acq_fun = value;
    },
  },
});
