import { defineStore } from "pinia";

export const useRStore = defineStore("Reward Store", {
  state: () => {
    return {
      reward_mean: [],
      reward_std: [],
      trigger: false,
    };
  },
  getters: {
    getMean: (state) => state.reward_mean,
    getStd: (state) => state.reward_std,
    getTrigger: (state) => state.trigger,
  },
  actions: {
    setMean(value) {
      this.reward_mean = value;
    },
    setStd(value) {
      this.reward_std = value;
      this.trigger = !this.trigger;
    },
    addMeanManually(value) {
      this.reward_mean[this.reward_mean.length] = value;
      this.reward_std[this.reward_std.length] = 0;
      this.trigger = !this.trigger;
    },
  },
});
